package domain


type AlibabaPricePromotionItemAddPromotionContent struct {
    /*
        客户商家编码     */
    CustomerMerchantCode  *string `json:"customer_merchant_code,omitempty" `

    /*
        sku列表     */
    PromotionSkuList  *[]AlibabaPricePromotionItemAddPromotionSku `json:"promotion_sku_list,omitempty" `

    /*
        客户编码     */
    CustomerCode  *string `json:"customer_code,omitempty" `

    /*
        客户门店     */
    OuCode  *string `json:"ou_code,omitempty" `

    /*
        促销档期编码     */
    OuterPromotionCode  *string `json:"outer_promotion_code,omitempty" `

    /*
        商家编码     */
    MerchantCode  *string `json:"merchant_code,omitempty" `

    /*
        进售价类型     */
    PromotionType  *string `json:"promotion_type,omitempty" `

}

func (s *AlibabaPricePromotionItemAddPromotionContent) SetCustomerMerchantCode(v string) *AlibabaPricePromotionItemAddPromotionContent {
    s.CustomerMerchantCode = &v
    return s
}
func (s *AlibabaPricePromotionItemAddPromotionContent) SetPromotionSkuList(v []AlibabaPricePromotionItemAddPromotionSku) *AlibabaPricePromotionItemAddPromotionContent {
    s.PromotionSkuList = &v
    return s
}
func (s *AlibabaPricePromotionItemAddPromotionContent) SetCustomerCode(v string) *AlibabaPricePromotionItemAddPromotionContent {
    s.CustomerCode = &v
    return s
}
func (s *AlibabaPricePromotionItemAddPromotionContent) SetOuCode(v string) *AlibabaPricePromotionItemAddPromotionContent {
    s.OuCode = &v
    return s
}
func (s *AlibabaPricePromotionItemAddPromotionContent) SetOuterPromotionCode(v string) *AlibabaPricePromotionItemAddPromotionContent {
    s.OuterPromotionCode = &v
    return s
}
func (s *AlibabaPricePromotionItemAddPromotionContent) SetMerchantCode(v string) *AlibabaPricePromotionItemAddPromotionContent {
    s.MerchantCode = &v
    return s
}
func (s *AlibabaPricePromotionItemAddPromotionContent) SetPromotionType(v string) *AlibabaPricePromotionItemAddPromotionContent {
    s.PromotionType = &v
    return s
}
